.TH wxEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxEvent \- See external documentation: wxEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxevent\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getId(This::wxEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxevent\&.html#wxeventgetid>\&.
.RE
.LP
.B
getSkipped(This::wxEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxevent\&.html#wxeventgetskipped>\&.
.RE
.LP
.B
getTimestamp(This::wxEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxevent\&.html#wxeventgettimestamp>\&.
.RE
.LP
.B
isCommandEvent(This::wxEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxevent\&.html#wxeventiscommandevent>\&.
.RE
.LP
.B
resumePropagation(This::wxEvent(), PropagationLevel::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxevent\&.html#wxeventresumepropagation>\&.
.RE
.LP
.B
shouldPropagate(This::wxEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxevent\&.html#wxeventshouldpropagate>\&.
.RE
.LP
.B
skip(This::wxEvent()) -> ok
.br
.RS
.LP
Equivalent to skip(This, [])\&.
.RE
.LP
.B
skip(This::wxEvent(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {skip, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxevent\&.html#wxeventskip>\&.
.RE
.LP
.B
stopPropagation(This::wxEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxevent\&.html#wxeventstoppropagation>\&.
.RE
